summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-17
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgcat-17')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgcat-1714
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/msgcat-17 b/gettext-tools/tests/msgcat-17
index 86189a6..40bc785 100755..100644
--- a/gettext-tools/tests/msgcat-17
+++ b/gettext-tools/tests/msgcat-17
@@ -3,10 +3,6 @@
# Test msgcat with --width option. Check that format strings are not broken.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mcat-test17.in"
cat <<\EOF > mcat-test17.in
msgid ""
msgstr ""
@@ -22,15 +18,11 @@ msgid "write error of a big result on a too small disk% s% s"
msgstr "Fehler beim Schreiben eines großen Ergebnisses auf eine zu kleine Platte% s% smit der jederzeitigen Möglichkeit eines Fehlers in jedem Moment und an jeder Stelle"
EOF
-tmpfiles="$tmpfiles mcat-test17.tmp mcat-test17.out"
rm -f mcat-test17.tmp
: ${MSGCAT=msgcat}
-${MSGCAT} -o mcat-test17.tmp --width=80 mcat-test17.in
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mcat-test17.tmp > mcat-test17.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGCAT} -o mcat-test17.tmp --width=80 mcat-test17.in || exit 1
+LC_ALL=C tr -d '\r' < mcat-test17.tmp > mcat-test17.out || exit 1
-tmpfiles="$tmpfiles mcat-test17.ok"
cat <<\EOF > mcat-test17.ok
msgid ""
msgstr ""
@@ -56,6 +48,4 @@ EOF
${DIFF} mcat-test17.ok mcat-test17.out
result=$?
-rm -fr $tmpfiles
-
exit $result